Curses::UI::Label(3pm)

NAME
Curses::UI::Label - Create and manipulate label widgets

CLASS HIERARCHY
 Curses::UI::Widget
    |
    +----Curses::UI::Label

SYNOPSIS
    use Curses::UI;
    my $cui = new Curses::UI;
    my $win = $cui->add('window_id', 'Window');

    my $label = $win->add(
        'mylabel', 'Label',
        -text      => 'Hello, world!',
        -bold      => 1,
    );

    $label->draw;

DESCRIPTION
Curses::UI::Label is a widget that shows a textstring. This textstring can be drawn using these special features: bold, dimmed, reverse, underlined, and blinking.

See exampes/demo-Curses::UI::Label in the distribution for a short demo.

STANDARD OPTIONS
-parent, -x, -y, -width, -height, -pad, -padleft, -padright, -padtop, -padbottom, -ipad, -ipadleft, -ipadright, -ipadtop, -ipadbottom, -title, -titlefullwidth, -titlereverse, -onfocus, -onblur

For an explanation of these standard options, see Curses::UI::Widget.

WIDGET-SPECIFIC OPTIONS

•   -height < VALUE >

    If you do not define -height, the label will compute its needed height using the initial -text.

•   -text < TEXT >

    This will set the text on the label to TEXT.

•   -textalignment < VALUE >

    This option controls how the text should be aligned inside the label. VALUE can be 'left', 'middle' and 'right'. The default value for this option is 'left'.

•   -paddingspaces < BOOLEAN >

    This option controls if padding spaces should be added to the text if the text does not fill the complete width of the widget. The default value for BOOLEAN is false. An example use of this option is:

        $win->add(
            'label', 'Label',
            -width         => -1,
            -paddingspaces => 1,
            -text          => 'A bit of text',
        );

    This will create a label that fills the complete width of your screen and which will be completely in reverse font (also the part that has no text on it). See the demo in the distribution (examples/demo-Curses::UI::Label) for a clear example of this)

•   -bold < BOOLEAN >

    If BOOLEAN is true, text on the label will be drawn in a bold font.

•   -dim < BOOLEAN >

    If BOOLEAN is true, text on the label will be drawn in a dim font.

•   -reverse < BOOLEAN >

    If BOOLEAN is true, text on the label will be drawn in a reverse font.

•   -underline < BOOLEAN >

    If BOOLEAN is true, text on the label will be drawn in an underlined font.

•   -blink < BOOLEAN >

    If BOOLEAN is option is true, text on the label will be drawn in a blinking font.

METHODS

•   new ( OPTIONS )

•   layout ( )

•   draw ( BOOLEAN )

•   intellidraw ( )

•   focus ( )

•   onFocus ( CODEREF )

•   onBlur ( CODEREF )

    These are standard methods. See Curses::UI::Widget for an explanation of these.

•   bold ( BOOLEAN )

•   dim ( BOOLEAN )

•   reverse ( BOOLEAN )

•   underline ( BOOLEAN )

•   blink ( BOOLEAN )

    These methods can be used to control the font in which the text on the label is drawn, after creating the widget. The font option will be turned on for a true value of BOOLEAN.

•   textalignment ( VALUE )

    Set the textalignment. VALUE can be 'left', 'middle' or 'right'.

•   text ( [TEXT] )

    Without the TEXT argument, this method will return the current text of the widget. With a TEXT argument, the text on the widget will be set to TEXT.

•   get ( )

    This will call the text method without any argument and thus it will return the current text of the label.

DEFAULT BINDINGS
Since a Label is a non-interacting widget, it does not have any bindings.

SEE ALSO
Curses::UI, Curses::UI::Widget,

AUTHOR
Copyright (c) 2001-2002 Maurice Makaay. All rights reserved.

Maintained by Marcus Thiesen (marcus@cpan.thiesenweb.de)

This package is free software and is provided "as is" without express or implied warranty. It may be used, redistributed and/or modified under the same terms as perl itself.